spring:
  profiles:
    include: ${SPRING_PROFILES_INCLUDE:http}

firewall:
  policy:
    allowedHeaderNames: ${ALLOWED_HEADER_NAMES:all}

logging:
  pattern:
    console: "%d{dd-MM-yyyy HH:mm:ss.SSS}|%level|%logger.%M|%X{uuid}|%X{uri}|%X{method}|%msg%n"
  level:
    root: INFO
    com.tw.gms: ${GMS_APPLICATION_LOGGING_LEVEL:INFO}
  show:
    incoming-headers: ${SHOW_INCOMING_HEADERS:false}
    incoming-headers-name: ${SHOW_INCOMING_HEADERS_NAME:true}
    rest-call-response: ${SHOW_REST_CALL_RESPONSE:false}
    rest-call-headers: ${SHOW_REST_CALL_HEADERS:false}
    rest-call-uri: ${SHOW_REST_CALL_URI:true}
    rest-call-request: ${SHOW_REST_CALL_REQUEST:false}

scim-read-client:
  clientId: ${IAM_SCIM_CLIENT_ID:}
  clientSecret: ${IAM_SCIM_CLIENT_SECRET:}
  batchSize: ${SCIM_LIST_USER_BATCH_SIZE:50}
  maxBatchCount: ${SCIM_LIST_USER_MAX_BATCH_COUNT:5}

password-grant-flow:
  active: ${PASSWORD_GRANT_FLOW_ACTIVE:true}
  username: ${PASSWORD_GRANT_FLOW_USERNAME:}
  password: ${PASSWORD_GRANT_FLOW_PASSWORD:}
  clientId: ${PASSWORD_GRANT_FLOW_CLIENT_ID:}
  clientSecret: ${PASSWORD_GRANT_FLOW_CLIENT_SECRET:}

backend:
  host:
    iam: ${IAM_HOST:https://iam.dev.io/}
  path:
    currentUser: /scim/Me
    token: /token
    findAccountByCertSubject: /iam/account/find/bycertsubject?certificateSubject={certificateSubject}
    fetchUserByID: /scim/Users/{user_id}
    getUserCount: /scim/Users?attributes=id&count=1
    fetchUsersInBatch: /scim/Users?attributes=displayName,groups,urn:indigo-dc:scim:schemas:IndigoUser.certificates&startIndex={startIndex}&count={count}